Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.flow
Class FlowRegions

    java.lang.Object
      org.apache.batik.gvt.flow.FlowRegions

    public class FlowRegions

extends Object

A class to hold flow region information for a given shape.

Constructor Summary
`FlowRegions(Shape s)`
`FlowRegions(Shape s, double startY)`

Method Summary
`boolean` | `done()`
`void` | `endLine()`
`double` | `getCurrentY()`
`double` | `getLineHeight()`
`int` | `getNumRangeOnLine()`
`boolean` | `gotoY(double y)`
`boolean` | `newLine()`
`boolean` | `newLine(double lineHeight)`
`boolean` | `newLineAt(double y, double lineHeight)`
`void` | `newLineHeight(double lineHeight)`
`double[]` | `nextRange()`
`void` | `resetRange()`
`void` | `sortRow(SegmentList sl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowRegions

    public FlowRegions(Shape s)

### FlowRegions

    public FlowRegions(Shape s,
                       double startY)

Method Detail

### getCurrentY

    public double getCurrentY()

### getLineHeight

    public double getLineHeight()

### gotoY

    public boolean gotoY(double y)

### newLineHeight

    public void newLineHeight(double lineHeight)

### getNumRangeOnLine

    public int getNumRangeOnLine()

### resetRange

    public void resetRange()

### nextRange

    public double[] nextRange()

### endLine

    public void endLine()

### newLine

    public boolean newLine()

### newLine

    public boolean newLine(double lineHeight)

### newLineAt

    public boolean newLineAt(double y,
                             double lineHeight)

### done

    public boolean done()

### sortRow

    public void sortRow(SegmentList sl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.